declare const _default: {
    name: string;
    props: {
        _constants: {
            type: ObjectConstructor;
            default: () => {
                STATUS: {
                    READY: string;
                    RECORDING: string;
                    PAUSE: string;
                };
                HWH5_STATUS: {
                    START: string;
                    PAUSE: string;
                    CONTINUE: string;
                    CANCEL: string;
                    END: string;
                };
            };
        };
        modelValue: BooleanConstructor;
        isHwh5: {
            type: BooleanConstructor;
            default: boolean;
        };
        lockScroll: {
            type: BooleanConstructor;
            default: boolean;
        };
        xm_mode: StringConstructor;
        xm_mode_root: BooleanConstructor;
        xm_template: (ObjectConstructor | FunctionConstructor)[];
        xm_renderless: FunctionConstructor;
        xm_theme: StringConstructor;
        xm_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => import("vue").VNode;
};
export default _default;
